
QGIS Application - Bug report #584

map composer not using antialiasing in map rendering

2007-02-11 06:25 PM - Jeremy Palmer

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10643

Description

QGIS has problems with rendering some polygons. To fix some of these drawing issues turning on anti-aliasing seems to deal with the

problem. See attached files.

However the map composer does not seem to use anti-aliasing to render the mapcanvas. I suggest that the map composer uses the QGIS

application options to determine which method to use during rendering.

I have also uploaded the shape dataset for further testing if required:

http://creeping.orcon.net.nz/qgis/shapedata.7z

History

#1 - 2007-06-11 05:55 PM - Tim Sutton

Im moving this over to 0.8.2 since we wont have time to address this issue in the 0.8.1 release.

Tim

#2 - 2008-07-16 07:04 AM - Maciej Sieczka -

- Resolution set to fixed

- Status changed from Open to Closed

Same as #83, this bug seem to be gone since 0.10.

Tested under WINE 1.0.0 configured to emulate Win XP, on amd64 Debian testing, with reporter's Shapefile data, using Marco's "QGIS 0.11.0 for

Windows pre-release testing installer", and the same machine with native 0.11 GNU/Linux build.

Closing it.

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

good.gif 8.98 KB 2007-02-11 Jeremy Palmer

bad.gif 3.72 KB 2007-02-11 Jeremy Palmer
